﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup>
    <Filter Include="Source Files">
      <UniqueIdentifier>{4FC737F1-C7A5-4376-A066-2A32D752A2FF}</UniqueIdentifier>
      <Extensions>cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx</Extensions>
    </Filter>
    <Filter Include="Header Files">
      <UniqueIdentifier>{93995380-89BD-4b04-88EB-625FBE52EBFB}</UniqueIdentifier>
      <Extensions>h;hh;hpp;hxx;hm;inl;inc;xsd</Extensions>
    </Filter>
    <Filter Include="Resource Files">
      <UniqueIdentifier>{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}</UniqueIdentifier>
      <Extensions>rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav;mfcribbon-ms</Extensions>
    </Filter>
    <Filter Include="Source Files\Classes">
      <UniqueIdentifier>{05c1efee-bb7f-4579-b396-332cf8128235}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Objects">
      <UniqueIdentifier>{7982edf7-c0c2-4872-a13e-8a773916f220}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Utils">
      <UniqueIdentifier>{ab2da9ab-1f9e-4d48-abdd-4c011e5692ee}</UniqueIdentifier>
    </Filter>
    <Filter Include="Header Files\Classes">
      <UniqueIdentifier>{82b28f4b-41ee-40c3-8b86-8864928912d6}</UniqueIdentifier>
    </Filter>
    <Filter Include="Header Files\Utils">
      <UniqueIdentifier>{6c0325ac-6cae-4bd2-befb-8c00c014233f}</UniqueIdentifier>
    </Filter>
    <Filter Include="Header Files\Objects">
      <UniqueIdentifier>{6220ff53-d10d-4139-bdf8-d7231baf550a}</UniqueIdentifier>
    </Filter>
    <Filter Include="Resource Files\Libs">
      <UniqueIdentifier>{961debf2-5ede-4637-9a2b-d87c90543487}</UniqueIdentifier>
    </Filter>
    <Filter Include="Header Files\Core">
      <UniqueIdentifier>{22163a33-49c9-46de-a124-cf19117756ef}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Core">
      <UniqueIdentifier>{44e68092-a6e7-4cec-b088-ddfb3e1b5cbd}</UniqueIdentifier>
    </Filter>
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="main.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="Engine\Classes\SpriteAnimator.cpp">
      <Filter>Source Files\Classes</Filter>
    </ClCompile>
    <ClCompile Include="Engine\Classes\LightScreen.cpp">
      <Filter>Source Files\Classes</Filter>
    </ClCompile>
    <ClCompile Include="Engine\Utils\Application.cpp">
      <Filter>Source Files\Utils</Filter>
    </ClCompile>
    <ClCompile Include="Engine\Classes\Transform.cpp">
      <Filter>Source Files\Classes</Filter>
    </ClCompile>
    <ClCompile Include="Engine\Objects\Camera.cpp">
      <Filter>Source Files\Objects</Filter>
    </ClCompile>
    <ClCompile Include="Engine\Objects\Gui.cpp">
      <Filter>Source Files\Objects</Filter>
    </ClCompile>
    <ClCompile Include="Engine\Objects\Quad.cpp">
      <Filter>Source Files\Objects</Filter>
    </ClCompile>
    <ClCompile Include="Engine\Objects\SoundListener.cpp">
      <Filter>Source Files\Objects</Filter>
    </ClCompile>
    <ClCompile Include="Engine\Objects\SoundManager.cpp">
      <Filter>Source Files\Objects</Filter>
    </ClCompile>
    <ClCompile Include="Engine\Utils\LuaInterpreter.cpp">
      <Filter>Source Files\Utils</Filter>
    </ClCompile>
    <ClCompile Include="Engine\Utils\ResourceManager.cpp">
      <Filter>Source Files\Utils</Filter>
    </ClCompile>
    <ClCompile Include="Engine\Utils\TimeHandle.cpp">
      <Filter>Source Files\Utils</Filter>
    </ClCompile>
    <ClCompile Include="Engine\Utils\ShaderLoader.cpp">
      <Filter>Source Files\Utils</Filter>
    </ClCompile>
    <ClCompile Include="Engine\Utils\JSonParser.cpp">
      <Filter>Source Files\Utils</Filter>
    </ClCompile>
    <ClCompile Include="Engine\Classes\Material.cpp">
      <Filter>Source Files\Classes</Filter>
    </ClCompile>
    <ClCompile Include="Engine\Utils\Input.cpp">
      <Filter>Source Files\Utils</Filter>
    </ClCompile>
    <ClCompile Include="Engine\Classes\PhysicsWorld.cpp">
      <Filter>Source Files\Classes</Filter>
    </ClCompile>
    <ClCompile Include="Engine\Classes\RigidBody.cpp">
      <Filter>Source Files\Classes</Filter>
    </ClCompile>
    <ClCompile Include="Engine\Utils\ContactListener.cpp">
      <Filter>Source Files\Utils</Filter>
    </ClCompile>
    <ClCompile Include="Engine\Utils\LuaEventDispatcher.cpp">
      <Filter>Source Files\Utils</Filter>
    </ClCompile>
    <ClCompile Include="Engine\Objects\GameObject.cpp">
      <Filter>Source Files\Objects</Filter>
    </ClCompile>
    <ClCompile Include="Engine\Utils\TiledMapParser.cpp">
      <Filter>Source Files\Utils</Filter>
    </ClCompile>
    <ClCompile Include="Engine\Utils\WindowHandler.cpp">
      <Filter>Source Files\Utils</Filter>
    </ClCompile>
    <ClCompile Include="Engine\Objects\FrameBuffer.cpp">
      <Filter>Source Files\Objects</Filter>
    </ClCompile>
    <ClCompile Include="Engine\Utils\FixtureWrapper.cpp">
      <Filter>Source Files\Utils</Filter>
    </ClCompile>
    <ClCompile Include="Engine\Objects\MovieQuad.cpp">
      <Filter>Source Files\Objects</Filter>
    </ClCompile>
    <ClCompile Include="Engine\Core\GlitchCore.cpp">
      <Filter>Source Files\Core</Filter>
    </ClCompile>
    <ClCompile Include="Engine\Utils\FiniteStateMachine.cpp">
      <Filter>Source Files\Utils</Filter>
    </ClCompile>
    <ClCompile Include="Engine\Objects\Image.cpp">
      <Filter>Source Files\Objects</Filter>
    </ClCompile>
    <ClCompile Include="Engine\Objects\Sprite.cpp">
      <Filter>Source Files\Objects</Filter>
    </ClCompile>
    <ClCompile Include="Engine\Utils\PhysicsDebugDraw.cpp">
      <Filter>Source Files\Utils</Filter>
    </ClCompile>
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="Engine\Classes\SpriteAnimator.h">
      <Filter>Header Files\Classes</Filter>
    </ClInclude>
    <ClInclude Include="Engine\Classes\LightScreen.h">
      <Filter>Header Files\Classes</Filter>
    </ClInclude>
    <ClInclude Include="Engine\Utils\Application.h">
      <Filter>Header Files\Utils</Filter>
    </ClInclude>
    <ClInclude Include="Engine\Classes\Material.h">
      <Filter>Header Files\Classes</Filter>
    </ClInclude>
    <ClInclude Include="Engine\Classes\Transform.h">
      <Filter>Header Files\Classes</Filter>
    </ClInclude>
    <ClInclude Include="Engine\Objects\Camera.h">
      <Filter>Header Files\Objects</Filter>
    </ClInclude>
    <ClInclude Include="Engine\Objects\Gui.h">
      <Filter>Header Files\Objects</Filter>
    </ClInclude>
    <ClInclude Include="Engine\Objects\Quad.h">
      <Filter>Header Files\Objects</Filter>
    </ClInclude>
    <ClInclude Include="Engine\Objects\SoundListener.h">
      <Filter>Header Files\Objects</Filter>
    </ClInclude>
    <ClInclude Include="Engine\Objects\SoundManager.h">
      <Filter>Header Files\Objects</Filter>
    </ClInclude>
    <ClInclude Include="Engine\Utils\LuaInterpreter.h">
      <Filter>Header Files\Utils</Filter>
    </ClInclude>
    <ClInclude Include="Engine\Utils\ResourceManager.h">
      <Filter>Header Files\Utils</Filter>
    </ClInclude>
    <ClInclude Include="Engine\Utils\TimeHandle.h">
      <Filter>Header Files\Utils</Filter>
    </ClInclude>
    <ClInclude Include="Engine\Utils\ShaderLoader.h">
      <Filter>Header Files\Utils</Filter>
    </ClInclude>
    <ClInclude Include="Engine\Utils\JSonParser.h">
      <Filter>Header Files\Utils</Filter>
    </ClInclude>
    <ClInclude Include="Engine\Utils\Input.h">
      <Filter>Header Files\Utils</Filter>
    </ClInclude>
    <ClInclude Include="Engine\Utils\Vector.h">
      <Filter>Header Files\Utils</Filter>
    </ClInclude>
    <ClInclude Include="Engine\Classes\PhysicsWorld.h">
      <Filter>Header Files\Classes</Filter>
    </ClInclude>
    <ClInclude Include="Engine\Classes\RigidBody.h">
      <Filter>Header Files\Classes</Filter>
    </ClInclude>
    <ClInclude Include="Engine\Utils\ContactListener.h">
      <Filter>Header Files\Utils</Filter>
    </ClInclude>
    <ClInclude Include="Engine\Utils\LuaEventDispatcher.h">
      <Filter>Header Files\Utils</Filter>
    </ClInclude>
    <ClInclude Include="Libs\stb_image.h">
      <Filter>Resource Files\Libs</Filter>
    </ClInclude>
    <ClInclude Include="Engine\Objects\GameObject.h">
      <Filter>Header Files\Objects</Filter>
    </ClInclude>
    <ClInclude Include="Engine\Utils\TiledUtils.h">
      <Filter>Header Files\Utils</Filter>
    </ClInclude>
    <ClInclude Include="Engine\Utils\TiledMapParser.h">
      <Filter>Header Files\Utils</Filter>
    </ClInclude>
    <ClInclude Include="Engine\Classes\Renderer.h">
      <Filter>Header Files\Classes</Filter>
    </ClInclude>
    <ClInclude Include="Engine\Utils\WindowHandler.h">
      <Filter>Header Files\Utils</Filter>
    </ClInclude>
    <ClInclude Include="Engine\Objects\FrameBuffer.h">
      <Filter>Header Files\Objects</Filter>
    </ClInclude>
    <ClInclude Include="Engine\Utils\FixtureWrapper.h">
      <Filter>Header Files\Utils</Filter>
    </ClInclude>
    <ClInclude Include="Engine\Objects\MovieQuad.h">
      <Filter>Header Files\Objects</Filter>
    </ClInclude>
    <ClInclude Include="Engine\Utils\ThreadUtils.h">
      <Filter>Header Files\Utils</Filter>
    </ClInclude>
    <ClInclude Include="Engine\Utils\MovieQuadManager.h">
      <Filter>Header Files\Utils</Filter>
    </ClInclude>
    <ClInclude Include="Engine\Core\GlitchCore.h">
      <Filter>Header Files\Core</Filter>
    </ClInclude>
    <ClInclude Include="Engine\Utils\Logger.h">
      <Filter>Header Files\Utils</Filter>
    </ClInclude>
    <ClInclude Include="Engine\Utils\FiniteStateMachine.h">
      <Filter>Header Files\Utils</Filter>
    </ClInclude>
    <ClInclude Include="Engine\Objects\Image.h">
      <Filter>Header Files\Objects</Filter>
    </ClInclude>
    <ClInclude Include="Engine\Objects\Sprite.h">
      <Filter>Header Files\Objects</Filter>
    </ClInclude>
    <ClInclude Include="Engine\Utils\PhysicsDebugDraw.h">
      <Filter>Header Files\Utils</Filter>
    </ClInclude>
  </ItemGroup>
</Project>